
.input {
    width: 100%;
    background: none;
    border-radius: 10px;

    &::placeholder {
        @include font300;
        font-size: 15px;
        color: #585858;
    }

    &__wrapper {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }

    &:focus {
        border-color: black;
    }

    &--search {
        
        max-width: 797px;
        background: rgba(255, 255, 255, 0.15);
        border-style: none;
        background: none;
        padding-left: 15px;
        font-size: 15px;
        width: 100%;
        color: white;

        &::placeholder {
            @include font300;
            color: white;
        }
    }

    &--mail {
        border: 1px solid white;
        height: 50px;
        background: rgba(255, 255, 255, 0.15);
        padding: 15px;
        margin-right: 15px;
        width: 300px;

        &::placeholder {
            @include font400;
            color: white;
            font-size: 15px;
        }
    }

    &--checkout{
        width: 100%;
        padding: 20px;
        border: 1px solid #C7C7C7;


    }
    
    &--street {
        width: 298px;
        max-width: 100%;
    }

    &--house,
    &--flat {
        max-width: 150px;
    }

    

    &--signin {
        width: 100%;
        padding: 20px;
        border: 1px solid #C7C7C7;

    }

    &__msg {
        color: #FF0000;
    }

    &__contacer--info {
        width: 100%;
        border: 1px solid #C7C7C7;
        border-radius: 5px;
        padding: 20px;
        background: none;
    }

    &__contacer--checkout {
        width: 100%;
    }

    &__error {
        border-color: red;

        &:focus {
            border-color: red;
        }

        &-message {
            color: red;
        }
    }
}